VERSION 5.00
Begin VB.Form frmDefVirtualDefinition 
   BackColor       =   &H00CFCABE&
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Virtual Directory"
   ClientHeight    =   4665
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   4695
   BeginProperty Font 
      Name            =   "Tahoma"
      Size            =   8.25
      Charset         =   0
      Weight          =   400
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   Icon            =   "frmDefVirtualDefinition.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4665
   ScaleWidth      =   4695
   ShowInTaskbar   =   0   'False
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdNewDirectory 
      Caption         =   "&New Folder"
      Height          =   375
      Left            =   1080
      TabIndex        =   9
      Top             =   4080
      Width           =   1095
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   2280
      TabIndex        =   8
      Top             =   4080
      Width           =   1095
   End
   Begin VB.CommandButton cmdOK 
      Appearance      =   0  'Flat
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   3480
      TabIndex        =   7
      Top             =   4080
      Width           =   1095
   End
   Begin VB.DriveListBox drvVirtual 
      Appearance      =   0  'Flat
      Height          =   315
      Left            =   720
      TabIndex        =   6
      Top             =   3600
      Width           =   3855
   End
   Begin VB.DirListBox dirVirtual 
      Appearance      =   0  'Flat
      Height          =   2115
      Left            =   720
      TabIndex        =   5
      Top             =   1440
      Width           =   3855
   End
   Begin VB.TextBox txtVirtualDirPath 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   720
      Locked          =   -1  'True
      TabIndex        =   4
      Top             =   1080
      Width           =   3855
   End
   Begin VB.TextBox txtVirtualDir 
      Appearance      =   0  'Flat
      Height          =   285
      Left            =   720
      TabIndex        =   2
      Top             =   720
      Width           =   3855
   End
   Begin VB.Label Label3 
      BackStyle       =   0  'Transparent
      Caption         =   "&Path:"
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   1080
      Width           =   495
   End
   Begin VB.Label Label2 
      BackStyle       =   0  'Transparent
      Caption         =   "&Name:"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   1215
   End
   Begin VB.Label Label1 
      BackStyle       =   0  'Transparent
      Caption         =   "A virtual directory provides a lookup entry for the web server to allow real directories to be hidden from the host."
      Height          =   495
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "frmDefVirtualDefinition"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
    txtVirtualDirPath.Text = ""
    Hide
End Sub

Private Sub cmdNewDirectory_Click()
    Dim NewFolder As String
    
    NewFolder = InputBox("New Folder Name:", "Create new folder", "New Folder")
    If Len(NewFolder) <> 0 Then
        On Error GoTo FAILEDTOCREATEDIR
        NewFolder = dirVirtual.Path & "\" & NewFolder
        MkDir NewFolder
        dirVirtual.Refresh
        dirVirtual.Path = NewFolder
    End If
    
    Exit Sub

FAILEDTOCREATEDIR:
    MsgBox "Failed to create the folder. Windows reports this error as: " & vbCrLf & Err.Description & " - (" & Err.Number & ")", vbExclamation Or vbOKOnly, "Failed to create directory"
End Sub

Private Sub cmdOK_Click()
    If Len(txtVirtualDir.Text) = 0 Then
        MsgBox "Please enter a name for the new virtual directory", vbOKOnly Or vbExclamation, "Missing a parameter"
        Exit Sub
    End If
    
    If Len(txtVirtualDirPath.Text) = 0 Then
        MsgBox "Please select a path to map to", vbOKOnly Or vbExclamation, "Missing a parameter"
        Exit Sub
    End If
    
    Hide
End Sub

Private Sub dirVirtual_Change()
    txtVirtualDirPath.Text = dirVirtual.Path
End Sub

Private Sub drvVirtual_Change()
    dirVirtual.Path = drvVirtual.Drive
    txtVirtualDirPath.Text = dirVirtual.Path
End Sub

Public Property Let DirectoryName(strName As String)
    txtVirtualDir.Text = strName
End Property

Public Property Get DirectoryName() As String
    DirectoryName = txtVirtualDir.Text
End Property

Public Property Let DirectoryPath(strPath As String)
    drvVirtual.Drive = strPath
    dirVirtual.Path = strPath
    txtVirtualDirPath.Text = strPath
End Property

Public Property Get DirectoryPath() As String
    DirectoryPath = txtVirtualDirPath.Text
End Property

Public Property Let PrimaryPath(IsPrimaryPath As Boolean)
    If IsPrimaryPath Then
        txtVirtualDir.Enabled = False
    End If
End Property

Private Sub Form_Load()
    txtVirtualDirPath.Text = dirVirtual.Path
End Sub
